tigase.jaxmpp.gwt.client.dns

## Class WellKnownHostMetaResolver

- java.lang.Object
- - tigase.jaxmpp.gwt.client.dns.WellKnownHostMetaResolver

- All Implemented Interfaces:
    ContextAware, ConnectionManager.Resolver

      public class WellKnownHostMetaResolver
      extends Object
      implements ConnectionManager.Resolver

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ENABLED`
    `static String` | `USE_HTTPS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WellKnownHostMetaResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `hostFailure(String url)`
    `boolean` | `isEnabled()`
    `protected void` | `selectUrl(String domain, ConnectionManager.ResolutionCallback callback)`
    `void` | `setContext(Context context)`
    `void` | `setUseHttps(boolean value)`
    `void` | `urlsForDomain(String domain, ConnectionManager.ResolutionCallback callback)`
    `boolean` | `useHttps()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENABLED

          public static final String ENABLED

      See Also:
        Constant Field Values

    - #### USE_HTTPS

          public static final String USE_HTTPS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WellKnownHostMetaResolver

          public WellKnownHostMetaResolver()

  - ### Method Detail

    - #### setContext

          public void setContext(Context context)

      Specified by:
        `setContext` in interface `ContextAware`

    - #### setUseHttps

          public void setUseHttps(boolean value)

    - #### isEnabled

          public boolean isEnabled()

      Specified by:
        `isEnabled` in interface `ConnectionManager.Resolver`

    - #### useHttps

          public boolean useHttps()

    - #### urlsForDomain

          public void urlsForDomain(String domain,
                                    ConnectionManager.ResolutionCallback callback)

      Specified by:
        `urlsForDomain` in interface `ConnectionManager.Resolver`

    - #### selectUrl

          protected void selectUrl(String domain,
                                   ConnectionManager.ResolutionCallback callback)

    - #### hostFailure

          public void hostFailure(String url)

      Specified by:
        `hostFailure` in interface `ConnectionManager.Resolver`

Copyright © 2006–2023 Tigase. All rights reserved.